/*
 * This file originates from The Android Open Source Project version 4.4.2_r1
 * and contains some modifications which are (C) COPYRIGHT 2014 ARM Limited
 */

/*
 * This file is included from rs_mali_sampler.c, where PREFIX
 * and ADDR_SPACE are defined.
 */

#include "rs_core.rsh"
#include "rs_structs.h"
#include "rs_mali.h"


// ARM - use GPU driver structure.
// ARM - Add macros to prefix function names depending on their address spaces
// ARM - Add macros to allow the address space to be declared

/**
* Sampler
*/
extern rs_sampler_value __attribute__((overloadable))
       PREFIX(SamplerGetMinification)(rs_sampler s) {
    ADDR_SPACE mali_Sampler_t *prog = (ADDR_SPACE mali_Sampler_t *)s.p;
    if (!prog) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.minFilter;
}

extern rs_sampler_value __attribute__((overloadable))
        PREFIX(SamplerGetMagnification)(rs_sampler s) {
    ADDR_SPACE mali_Sampler_t *prog = (ADDR_SPACE mali_Sampler_t *)s.p;
    if (!prog) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.magFilter;
}

extern rs_sampler_value __attribute__((overloadable))
        PREFIX(SamplerGetWrapS)(rs_sampler s) {
    ADDR_SPACE mali_Sampler_t *prog = (ADDR_SPACE mali_Sampler_t *)s.p;
    if (!prog) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.wrapS;
}

extern rs_sampler_value __attribute__((overloadable))
        PREFIX(SamplerGetWrapT)(rs_sampler s) {
    ADDR_SPACE mali_Sampler_t *prog = (ADDR_SPACE mali_Sampler_t *)s.p;
    if (!prog) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.wrapT;
}

extern float __attribute__((overloadable))
        PREFIX(SamplerGetAnisotropy)(rs_sampler s) {
    ADDR_SPACE mali_Sampler_t *prog = (ADDR_SPACE mali_Sampler_t *)s.p;
    if (!prog) {
        return 0.0f;
    }
    return prog->mHal.state.aniso;
}
